import {
	defineConfig
} from 'vite';
import uni from '@dcloudio/vite-plugin-uni';

export default defineConfig({
	plugins: [uni()],
	server: {
		hmr: true,
		proxy: {
			'/api': {
				target: 'http://192.168.1.42',
				changeOrigin: true,
				rewrite: path => path.replace(/^\/api/, ''),
				secure: false
			}
		}
	}
})